/***************************************************************************
                          kplwidget.cpp  -  description                              
                             -------------------                                         

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sun Apr 25 1999                                           
    copyright            : (C) 1999 by Werner Stille                         
    email                : stille@uni-freiburg.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include <qpixmap.h>
#include "kplwidget.h"

KplWidget::KplWidget(QWidget *parent) :
 QWidget(parent)
{
  pm = new QPixmap(1, 1, -1);
  setBackgroundMode(PaletteBase);
  setMouseTracking(true);
}

KplWidget::~KplWidget()
{
  delete pm;
}

void KplWidget::paintEvent(QPaintEvent *e)
{
  QRect ur = e->rect();
  bitBlt(this, ur.topLeft(), pm, ur);
}

void KplWidget::mouseMoveEvent(QMouseEvent *e)
{
  setCursor(crossCursor);
  emit mouseMoved(e->x(), e->y());
}

void KplWidget::mousePressEvent(QMouseEvent *e)
{
  if (e->button() == RightButton)
    emit rightButtonPressed();
}
