/***************************************************************************
                          refreshdlg.h  -  description
                             -------------------

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sun Apr 25 1999
    copyright            : (C) 1999 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlabel.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <kapp.h>
#include <kseparator.h>
#include "refreshdlg.h"

RefreshDlg::RefreshDlg(QWidget *parent) : QDialog(parent, 0, true)
{
  setCaption(i18n("Reload periodically"));
  QLabel *l = new QLabel(i18n("Interval"), this);
  l->setGeometry(10, 10, 63, 22);
  dt = new QSpinBox(1, 600, 1, this);
  dt->setGeometry(75, 10, 60, 22);
  l = new QLabel("s", this);
  l->setGeometry(140, 10, 30, 22);
  activate = new QCheckBox(i18n("Activate"), this);
  activate->setGeometry(75, 50, 112, 22);
  KSeparator *hl = new KSeparator(KSeparator::HLine, this);
  hl->setGeometry(10, 82, 180, 0);
  QPushButton *b = new QPushButton(i18n("OK"), this);
  b->setGeometry(10, 92, 85, 25);
  b->setDefault(true);
  connect(b, SIGNAL(clicked()), SLOT(accept()));
  b = new QPushButton(i18n("Cancel"), this);
  b->setGeometry(105, 92, 85, 25);
  connect(b, SIGNAL(clicked()), SLOT(reject()));
  adjustSize();
  setFixedSize(size());
}

void RefreshDlg::setWidgets(int tRef, bool act)
{
  dt->setValue(tRef);
  activate->setChecked(act);
}

void RefreshDlg::getValues(int *tRef, bool *act)
{
  *tRef = dt->value();
  *act = activate->isChecked();
}
