/***************************************************************************
                          symboldlg.cpp  -  description
                             -------------------

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sun Apr 25 1999
    copyright            : (C) 1999 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlabel.h>
#include <qspinbox.h>
#include <qradiobutton.h>
#include <qbuttongroup.h>
#include <qpushbutton.h>
#include <kapp.h>
#include <kiconloader.h>
#include "symboldlg.h"

SymbolDlg::SymbolDlg(QWidget *parent, QSpinBox *sb0) :
 QDialog(parent, 0, true)
{
  QRadioButton *r;
  QLabel *l;
  QString s;
  int i;

  sb = sb0;
  setCaption(i18n("Lines and markers"));
  QGroupBox *g = new QGroupBox(i18n("Lines"), this);
  g->setGeometry(10, 6, 90, 278);
  g = new QGroupBox(i18n("Markers"), this);
  g->setGeometry(112, 6, 160, 278);
  bg = new QButtonGroup();
  for (i = 17; i >= 0; i--) {
    r = new QRadioButton(s.setNum(-i), this);
    r->setGeometry(142 + (i / 9) * 76, 28 + (i % 9) * 28, 50, 24);
    bg->insert(r);
  }
  for (i = 0; i < 9; i++) {
    r = new QRadioButton(s.setNum(i + 1), this);
    r->setGeometry(60, 28 + i * 28, 36, 24);
    bg->insert(r);
    l = new QLabel(this);
    l->setGeometry(18, 40 + i * 28, 32, 1);
    l->setPixmap(kapp->getIconLoader()->loadIcon(s.sprintf("line%i.xpm", i + 1)));
  }
  r = (QRadioButton *) bg->find(sb->value() + 17);
  r->setChecked(true);
  for (i = 0; i < 17; i++) {
    l = new QLabel(this);
    l->setGeometry(124 + (i / 9) * 76, 36 + (i % 9) * 28, 9, 9);
    l->setPixmap(kapp->getIconLoader()->loadIcon(s.sprintf("symb%i.xpm", i)));
  }
  QPushButton *b = new QPushButton(i18n("OK"), this);
  b->setGeometry(10, 298, 126, 25);
  b->setDefault(true);
  connect(b, SIGNAL(clicked()), SLOT(slotOK()));
  b = new QPushButton(i18n("Cancel"), this);
  b->setGeometry(146, 298, 126, 25);
  connect(b, SIGNAL(clicked()), SLOT(reject()));
  adjustSize();
  setFixedSize(size());
}

void SymbolDlg::slotOK()
{
  int i = -1;
  QRadioButton *rb;

  do 
    rb = (QRadioButton *) bg->find(++i);
  while (!rb->isChecked());
  sb->setValue(i - 17);
  accept();
}
