/***************************************************************************
                          utils.h  -  description
                             -------------------

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sun Apr 25 1999
    copyright            : (C) 1999 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

class KplDoc;
class QMultiLineEdit;

bool getVal(QWidget *parent, QLineEdit *edit, double *val,
            const char *errmsg);
void getFile(QLineEdit *e, KplDoc *m);
void getFunc(QWidget *parent, QLineEdit *name, QLineEdit *func);
void getPar(QWidget *parent, double *p, KplDoc *m);
void savePar(QWidget *parent, double *p, KplDoc *m);
void showSource(QMultiLineEdit *ml, QFile *f, const char *func);

#ifdef __cplusplus
extern "C" {
#endif

int minv(double A[], double X[], int n, double B[], int IPS[]);
double igamc(double a, double x);
double igam(double a, double x);
double lgam(double x);

#ifdef __cplusplus
}
#endif
