/***************************************************************************
                          zoomdlg.cpp  -  description
                             -------------------

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sun Apr 25 1999
    copyright            : (C) 1999 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlabel.h>
#include <qspinbox.h>
#include <qpushbutton.h>
#include <kapp.h>
#include <kseparator.h>
#include "zoomdlg.h"

ZoomDlg::ZoomDlg(QWidget *parent) : QDialog(parent, 0, true)
{
  setCaption(i18n("Zoom"));
  QLabel *l = new QLabel(i18n("Factor"), this);
  l->setGeometry(20, 10, 50, 22);
  factor = new QSpinBox(1, 2000, 1, this);
  factor->setGeometry(75, 10, 70, 22);
  factor->setSuffix(" %");
  KSeparator *hl = new KSeparator(KSeparator::HLine, this);
  hl->setGeometry(10, 46, 180, 0);
  QPushButton *b = new QPushButton(i18n("OK"), this);
  b->setGeometry(10, 56, 85, 25);
  b->setDefault(true);
  connect(b, SIGNAL(clicked()), SLOT(accept()));
  b = new QPushButton(i18n("Cancel"), this);
  b->setGeometry(105, 56, 85, 25);
  connect(b, SIGNAL(clicked()), SLOT(reject()));
  adjustSize();
  setFixedSize(size());
}
